Debian Bug report logs - #625978
librdf-trine-perl: Not needed (Build-)Depends on libdigest-sha1-perl

version graph

Package: src:librdf-trine-perl; Maintainer for src:librdf-trine-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 7 May 2011 14:21:01 UTC

Severity: normal

Found in version librdf-trine-perl/0.133-3

Fixed in version librdf-trine-perl/0.135-1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#625978; Package src:librdf-trine-perl. (Sat, 07 May 2011 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 07 May 2011 14:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: librdf-trine-perl: Not needed (Build-)Depends on libdigest-sha1-perl
Date: Sat, 07 May 2011 16:18:57 +0200
Source: librdf-trine-perl
Version: 0.133-3
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition 

Hi Jonas

According to the README, changes for Version Version 0.109 the
prerequisite on Digest::SHA1 was removed again, but Makefie.PL still
contains. Looking over the code I cannot find any use of Digest::SHA1.

Could you drop the (Build-)Depends on libdigest-sha1-perl? This would
help in going towards the removal of libdigest-sha1-perl. See [1] for
details!

 [1] http://deb.li/digestsha

Thanks in advance

Bests
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#625978; Package src:librdf-trine-perl. (Sat, 07 May 2011 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 07 May 2011 21:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 625978@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625978@bugs.debian.org
Subject: Re: Bug#625978: librdf-trine-perl: Not needed (Build-)Depends on libdigest-sha1-perl
Date: Sat, 7 May 2011 23:20:42 +0200
[Message part 1 (text/plain, inline)]
Hi

Upstream changes for 135 contain:

+                        asc:update      "Removed Digest::SHA1 from list of prereq modules." ;

so removing Digest::SHA1 dependency in Makefile.PL too.

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Fri, 13 May 2011 05:54:09 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Fri, 13 May 2011 05:54:09 GMT) Full text and rfc822 format available.

Message #15 received at 625978-done@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625978-done@bugs.debian.org
Subject: Re: librdf-trine-perl_0.135-1_amd64.changes ACCEPTED into unstable
Date: Fri, 13 May 2011 07:51:47 +0200
[Message part 1 (text/plain, inline)]
Source: librdf-trine-perl
Source-Version: 0.135-1

On Thu, May 12, 2011 at 09:37:45PM +0000, Debian FTP Masters wrote:
> 
> 
> 
> Accepted:
> librdf-trine-perl_0.135-1.debian.tar.gz
>   to main/libr/librdf-trine-perl/librdf-trine-perl_0.135-1.debian.tar.gz
> librdf-trine-perl_0.135-1.dsc
>   to main/libr/librdf-trine-perl/librdf-trine-perl_0.135-1.dsc
> librdf-trine-perl_0.135-1_all.deb
>   to main/libr/librdf-trine-perl/librdf-trine-perl_0.135-1_all.deb
> librdf-trine-perl_0.135.orig.tar.gz
>   to main/libr/librdf-trine-perl/librdf-trine-perl_0.135.orig.tar.gz
> 
> 
> Override entries for your package:
> librdf-trine-perl_0.135-1.dsc - source perl
> librdf-trine-perl_0.135-1_all.deb - optional perl
> 
> Announcing to debian-devel-changes@lists.debian.org
> 
> 
> Thank you for your contribution to Debian.
> 
> _______________________________________________
> pkg-perl-maintainers mailing list
> pkg-perl-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-perl-maintainers
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#625978; Package src:librdf-trine-perl. (Fri, 13 May 2011 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kjetil Kjernsmo <kjetil@kjernsmo.net>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 13 May 2011 06:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 625978@bugs.debian.org (full text, mbox):

From: Kjetil Kjernsmo <kjetil@kjernsmo.net>
To: 625978@bugs.debian.org
Subject: Re: Bug#625978: librdf-trine-perl: Not needed (Build-)Depends on libdigest-sha1-perl
Date: Fri, 13 May 2011 08:53:43 +0200
Yeah, this definitely fixed upstream, so this can be closed as 0.135 propagates. 
It is in sid now. Thanks, Jonas, and thanks for pointing out the unneeded dep!

Kjetil
-- 
Kjetil Kjernsmo
Ph.d Research Fellow, Semantic Web
kjetil@kjernsmo.net
http://www.kjetil.kjernsmo.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#625978; Package src:librdf-trine-perl. (Fri, 13 May 2011 11:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 13 May 2011 11:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 625978@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Kjetil Kjernsmo <kjetil@kjernsmo.net>, 625978@bugs.debian.org
Subject: Re: Bug#625978: librdf-trine-perl: Not needed (Build-)Depends on libdigest-sha1-perl
Date: Fri, 13 May 2011 12:58:52 +0200
[Message part 1 (text/plain, inline)]
Hi Kjetil

On Fri, May 13, 2011 at 08:53:43AM +0200, Kjetil Kjernsmo wrote:
> Yeah, this definitely fixed upstream, so this can be closed as 0.135 propagates. 
> It is in sid now. Thanks, Jonas, and thanks for pointing out the unneeded dep!

I have already closed now the bugreport :-).

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Jun 2011 07:37:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:01:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.